package com.jwipc.tender.logic;

import com.jwipc.page.PageView;
import com.jwipc.tender.dto.BidDetailDTO;
import com.jwipc.tender.dto.SubmitBargainingDTO;
import com.jwipc.tender.dto.SubmitQuotationDTO;
import com.jwipc.tender.model.query.BidQuery;

import java.util.List;

/**
 * <p> </p>
 *
 * @author BOGON
 * @version 1.0
 * @since JDK 1.8
 */
public interface BidLogic {
    PageView getConfirmJoinList(BidQuery query);

    void submitBidStatus(Long id, Integer status, String remark);

    void submitQuotation(SubmitQuotationDTO submitQuotationDTO);

    PageView getSecurityDepositList(BidQuery query);

    BidDetailDTO getDetail(Long id);

    void submitDeposit(Long id, Long fileId);

    PageView getToBeQuotedList(BidQuery query);

    void submitBargaining(SubmitBargainingDTO submitQuotationDTO);

    PageView getHistoryList(BidQuery query);

    /**
     * 获取定标的招标单物料详情
     * @param purchaseApplyCode 采购申请单编号
     * @param itemNo 采购申请单物料编号
     * @return 定标的招标单物料详情
     */
    List<BidDetailDTO> getBidTenderListByPurchaseApplyCode(String purchaseApplyCode, String itemNo);
}